Skip to main content
POST
Prepare an approved story for a destination

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

storyId
integer
required

Story id in the current organization.

channel
enum<string>
required

Supported story reuse destination.

Available options:
newsletter,
mailing,
report,
journey-template,
export

Body

application/json

Validated request fields for this operation.

status
enum<string> | null

Status. Validation: nullable, string; allowed values: prepared, published.

Available options:
prepared,
published,
null
Example:

"prepared"

impact_story_offer_id
integer | null

Impact story offer id. Validation: nullable, integer.

Example:

1

target_type
string | null

Target type. Validation: nullable, string, max:64.

Maximum string length: 64
Example:

"Target Type"

target_id
integer | null

Target id. Validation: nullable, integer.

Example:

1

target_url
string<uri> | null

Target url. Validation: nullable, url, max:2048.

Maximum string length: 2048
Example:

"https://example.org/story"

audience_snapshot_json

Audience snapshot json. Validation: nullable, array.

payload_json

Payload json. Validation: nullable, array.

subject
string | null

Subject. Validation: nullable, string, max:255.

Maximum string length: 255
Example:

"Subject"

name
string | null

Name. Validation: nullable, string, max:255.

Maximum string length: 255
Example:

"Education stories"

sender_email
string<email> | null

Sender email. Validation: nullable, email, max:255.

Maximum string length: 255
Example:

"jane@example.org"

sender_name
string | null

Sender name. Validation: nullable, string, max:255.

Maximum string length: 255
Example:

"Sender Name"

hysform_id
integer | null

Hysform id. Validation: nullable, integer.

Example:

1

scope_type
string | null

Scope type. Validation: nullable, string, max:64.

Maximum string length: 64
Example:

"Scope Type"

Response

Operation result.

data
object